=== modified file 'drizzled/log.cc'
--- drizzled/log.cc	2008-10-04 18:42:30 +0000
+++ drizzled/log.cc	2008-10-04 18:48:15 +0000
@@ -920,7 +920,11 @@
   if (file >= 0)
     my_close(file, MYF(0));
   end_io_cache(&log_file);
-  safeFree(name);
+  if (name)
+  {
+    free(name);
+    name= NULL;
+  }
   log_state= LOG_CLOSED;
   return(1);
 }
@@ -979,7 +983,11 @@
   }
 
   log_state= (exiting & LOG_CLOSE_TO_BE_OPENED) ? LOG_TO_BE_OPENED : LOG_CLOSED;
-  safeFree(name);
+  if (name)
+  {
+    free(name);
+    name= NULL;
+  }
   return;
 }
 
@@ -1277,7 +1285,11 @@
     my_close(file,MYF(0));
   end_io_cache(&log_file);
   end_io_cache(&index_file);
-  safeFree(name);
+  if (name)
+  {
+    free(name);
+    name= NULL;
+  }
   log_state= LOG_CLOSED;
   return(1);
 }
@@ -3049,7 +3061,11 @@
     }
   }
   log_state= (exiting & LOG_CLOSE_TO_BE_OPENED) ? LOG_TO_BE_OPENED : LOG_CLOSED;
-  safeFree(name);
+  if (name)
+  {
+    free(name);
+    name= NULL;
+  }
   return;
 }
 

=== modified file 'drizzled/sql_alloc.h'
--- drizzled/sql_alloc.h	2008-10-04 17:33:56 +0000
+++ drizzled/sql_alloc.h	2008-10-04 18:48:15 +0000
@@ -38,6 +38,4 @@
 bool net_request_file(NET* net, const char* fname);
 char* query_table_status(THD *thd,const char *db,const char *table_name);
 
-#define safeFree(x)  { if(x) { my_free((uchar*) x,MYF(0)); x = NULL; } }
-
 #endif /* DRIZZLE_SERVER_SQL_ALLOC_H */

=== modified file 'drizzled/sql_class.cc'
--- drizzled/sql_class.cc	2008-10-04 18:42:30 +0000
+++ drizzled/sql_class.cc	2008-10-04 18:48:15 +0000
@@ -709,7 +709,11 @@
   plugin_thdvar_cleanup(this);
 
   main_security_ctx.destroy();
-  safeFree(db);
+  if (db)
+  {
+    free(db);
+    db= NULL;
+  }
   free_root(&warn_root,MYF(0));
   free_root(&transaction.mem_root,MYF(0));
   mysys_var=0;					// Safety (shouldn't be needed)
@@ -2119,8 +2123,16 @@
 void Security_context::destroy()
 {
   // If not pointer to constant
-  safeFree(user);
-  safeFree(ip);
+  if (user)
+  {
+    free(user);
+    user= NULL;
+  }
+  if (ip)
+  {
+    free(ip);
+    ip= NULL;
+  }
 }
 
 

